CVE-2018-10963

Published: 09 May 2018

The TIFFWriteDirectorySec() function in tif_dirwrite.c in LibTIFF through 4.0.9 allows remote attackers to cause a denial of service (assertion failure and application crash) via a crafted file, a different vulnerability than CVE-2017-13726.

Priority

Low

CVSS 3 base score: 6.5

Status

Package Release Status
tiff
Launchpad, Ubuntu, Debian
Upstream
Released (4.0.9-6)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(4.0.10-3)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(4.0.10-3)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (4.0.9-5ubuntu0.1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (4.0.6-1ubuntu0.5)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (4.0.3-7ubuntu0.10)
Patches:
Upstream: https://gitlab.com/libtiff/libtiff/commit/de144fd228e4be8aa484c3caf3d814b6fa88c6d9